com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TestNode

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject
  All Known Subinterfaces:
    TestAssociation, TestAssociationHref, TestAssociationImbedded, TestAttribute, TestCharacteristic, TestEntity, TestRoot, TestTransient

      public interface TestNode
      extends ValidatableObject

  A representation of the model object 'Test Node'.

  The following features are supported:

  - `Parent`
  - `Children`
  - `Name`
  - `Node ID`
  - `Invalid`
  - `New Or Modified`
  - `Manually Created`
  - `Source`
  - `Expanded`
  - `Passed`
  - `Issue`
  - `Backup Info`
  - `Comments`
  - `Database ID`
  - `Referencing Hrefs`
  - `Message Item`
  - `Ignore Validation`
  See Also:
    `TreesetPackage.getTestNode()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getBackupInfo()` Returns the value of the 'Backup Info' attribute list.
    `org.eclipse.emf.common.util.EList` | `getChildren()` Returns the value of the 'Children' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getComments()` Returns the value of the 'Comments' attribute list.
    `java.lang.String` | `getDatabaseID()` Returns the value of the 'Database ID' attribute
    `ValidationIssue` | `getIssue()` Returns the value of the 'Issue' attribute.
    `org.eclipse.emf.common.util.EList` | `getMessageItem()` Returns the value of the 'Message Item' reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `int` | `getNodeID()` Returns the value of the 'Node ID' attribute
    `TestNode` | `getParent()` Returns the value of the 'Parent' container reference.
    `org.eclipse.emf.common.util.EList` | `getReferencingHrefs()` Returns the value of the 'Referencing Hrefs' reference list.
    `Source` | `getSource()` Returns the value of the 'Source' attribute.
    `boolean` | `isExpanded()` Returns the value of the 'Expanded' attribute.
    `boolean` | `isIgnoreValidation()` Returns the value of the 'Ignore Validation' attribute.
    `boolean` | `isInvalid()` Returns the value of the 'Invalid' attribute
    `boolean` | `isManuallyCreated()` Returns the value of the 'Manually Created' attribute
    `boolean` | `isNewOrModified()` Returns the value of the 'New Or Modified' attribute
    `boolean` | `isPassed()` Returns the value of the 'Passed' attribute.
    `void` | `setDatabaseID(java.lang.String value)` Sets the value of the '`Database ID`' attribute
    `void` | `setExpanded(boolean value)` Sets the value of the '`Expanded`' attribute
    `void` | `setIgnoreValidation(boolean value)` Sets the value of the '`Ignore Validation`' attribute
    `void` | `setInvalid(boolean value)` Sets the value of the '`Invalid`' attribute
    `void` | `setIssue(ValidationIssue value)` Sets the value of the '`Issue`' attribute
    `void` | `setManuallyCreated(boolean value)` Sets the value of the '`Manually Created`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setNewOrModified(boolean value)` Sets the value of the '`New Or Modified`' attribute
    `void` | `setNodeID(int value)` Sets the value of the '`Node ID`' attribute
    `void` | `setParent(TestNode value)` Sets the value of the '`Parent`' container reference
    `void` | `setPassed(boolean value)` Sets the value of the '`Passed`' attribute
    `void` | `setSource(Source value)` Sets the value of the '`Source`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParent

          TestNode getParent()

      Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

      If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent' container reference.
      See Also:
        `setParent(TestNode)`, `TreesetPackage.getTestNode_Parent()`, `getChildren()`

    - #### setParent

          void setParent(TestNode value)

      Sets the value of the '`Parent`' container reference.
      Parameters:
        `value` - the new value of the 'Parent' container reference.
      See Also:
        `getParent()`

    - #### getChildren

          org.eclipse.emf.common.util.EList getChildren()

      Returns the value of the 'Children' containment reference list. The list contents are of type `TestNode`. It is bidirectional and its opposite is '`Parent`'.

      If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Children' containment reference list.
      See Also:
        `TreesetPackage.getTestNode_Children()`, `getParent()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `TreesetPackage.getTestNode_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getNodeID

          int getNodeID()

      Returns the value of the 'Node ID' attribute.

      If the meaning of the 'Node ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Node ID' attribute.
      See Also:
        `setNodeID(int)`, `TreesetPackage.getTestNode_NodeID()`

    - #### setNodeID

          void setNodeID(int value)

      Sets the value of the '`Node ID`' attribute.
      Parameters:
        `value` - the new value of the 'Node ID' attribute.
      See Also:
        `getNodeID()`

    - #### isInvalid

          boolean isInvalid()

      Returns the value of the 'Invalid' attribute.

      If the meaning of the 'Invalid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Invalid' attribute.
      See Also:
        `setInvalid(boolean)`, `TreesetPackage.getTestNode_Invalid()`

    - #### setInvalid

          void setInvalid(boolean value)

      Sets the value of the '`Invalid`' attribute.
      Parameters:
        `value` - the new value of the 'Invalid' attribute.
      See Also:
        `isInvalid()`

    - #### isNewOrModified

          boolean isNewOrModified()

      Returns the value of the 'New Or Modified' attribute.

      If the meaning of the 'New Or Modified' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'New Or Modified' attribute.
      See Also:
        `setNewOrModified(boolean)`, `TreesetPackage.getTestNode_NewOrModified()`

    - #### setNewOrModified

          void setNewOrModified(boolean value)

      Sets the value of the '`New Or Modified`' attribute.
      Parameters:
        `value` - the new value of the 'New Or Modified' attribute.
      See Also:
        `isNewOrModified()`

    - #### isManuallyCreated

          boolean isManuallyCreated()

      Returns the value of the 'Manually Created' attribute.

      If the meaning of the 'Manually Created' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Manually Created' attribute.
      See Also:
        `setManuallyCreated(boolean)`, `TreesetPackage.getTestNode_ManuallyCreated()`

    - #### setManuallyCreated

          void setManuallyCreated(boolean value)

      Sets the value of the '`Manually Created`' attribute.
      Parameters:
        `value` - the new value of the 'Manually Created' attribute.
      See Also:
        `isManuallyCreated()`

    - #### getSource

          Source getSource()

      Returns the value of the 'Source' attribute. The literals are from the enumeration `Source`.

      If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' attribute.
      See Also:
        `Source`, `setSource(Source)`, `TreesetPackage.getTestNode_Source()`

    - #### setSource

          void setSource(Source value)

      Sets the value of the '`Source`' attribute.
      Parameters:
        `value` - the new value of the 'Source' attribute.
      See Also:
        `Source`, `getSource()`

    - #### isExpanded

          boolean isExpanded()

      Returns the value of the 'Expanded' attribute. The default value is `"true"`.

      If the meaning of the 'Expanded' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expanded' attribute.
      See Also:
        `setExpanded(boolean)`, `TreesetPackage.getTestNode_Expanded()`

    - #### setExpanded

          void setExpanded(boolean value)

      Sets the value of the '`Expanded`' attribute.
      Parameters:
        `value` - the new value of the 'Expanded' attribute.
      See Also:
        `isExpanded()`

    - #### isPassed

          boolean isPassed()

      Returns the value of the 'Passed' attribute. The default value is `"true"`.

      If the meaning of the 'Passed' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Passed' attribute.
      See Also:
        `setPassed(boolean)`, `TreesetPackage.getTestNode_Passed()`

    - #### setPassed

          void setPassed(boolean value)

      Sets the value of the '`Passed`' attribute.
      Parameters:
        `value` - the new value of the 'Passed' attribute.
      See Also:
        `isPassed()`

    - #### getIssue

          ValidationIssue getIssue()

      Returns the value of the 'Issue' attribute. The literals are from the enumeration `ValidationIssue`.

      If the meaning of the 'Issue' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Issue' attribute.
      See Also:
        `ValidationIssue`, `setIssue(ValidationIssue)`, `TreesetPackage.getTestNode_Issue()`

    - #### setIssue

          void setIssue(ValidationIssue value)

      Sets the value of the '`Issue`' attribute.
      Parameters:
        `value` - the new value of the 'Issue' attribute.
      See Also:
        `ValidationIssue`, `getIssue()`

    - #### getBackupInfo

          org.eclipse.emf.common.util.EList getBackupInfo()

      Returns the value of the 'Backup Info' attribute list. The list contents are of type `String`.

      If the meaning of the 'Backup Info' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Backup Info' attribute list.
      See Also:
        `TreesetPackage.getTestNode_BackupInfo()`

    - #### getComments

          org.eclipse.emf.common.util.EList getComments()

      Returns the value of the 'Comments' attribute list. The list contents are of type `String`.

      If the meaning of the 'Comments' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Comments' attribute list.
      See Also:
        `TreesetPackage.getTestNode_Comments()`

    - #### getDatabaseID

          java.lang.String getDatabaseID()

      Returns the value of the 'Database ID' attribute.

      If the meaning of the 'Database ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database ID' attribute.
      See Also:
        `setDatabaseID(String)`, `TreesetPackage.getTestNode_DatabaseID()`

    - #### setDatabaseID

          void setDatabaseID(java.lang.String value)

      Sets the value of the '`Database ID`' attribute.
      Parameters:
        `value` - the new value of the 'Database ID' attribute.
      See Also:
        `getDatabaseID()`

    - #### getReferencingHrefs

          org.eclipse.emf.common.util.EList getReferencingHrefs()

      Returns the value of the 'Referencing Hrefs' reference list. The list contents are of type `TestAssociationHref`. It is bidirectional and its opposite is '`Target Test Node`'.

      If the meaning of the 'Referencing Hrefs' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Referencing Hrefs' reference list.
      See Also:
        `TreesetPackage.getTestNode_ReferencingHrefs()`, `TestAssociationHref.getTargetTestNode()`

    - #### getMessageItem

          org.eclipse.emf.common.util.EList getMessageItem()

      Returns the value of the 'Message Item' reference list. The list contents are of type `MessageItem`. It is bidirectional and its opposite is '`Test Node`'.

      If the meaning of the 'Message Item' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Message Item' reference list.
      See Also:
        `TreesetPackage.getTestNode_MessageItem()`, `MessageItem.getTestNode()`

    - #### isIgnoreValidation

          boolean isIgnoreValidation()

      Returns the value of the 'Ignore Validation' attribute. The default value is `"false"`.

      If the meaning of the 'Ignore Validation' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ignore Validation' attribute.
      See Also:
        `setIgnoreValidation(boolean)`, `TreesetPackage.getTestNode_IgnoreValidation()`

    - #### setIgnoreValidation

          void setIgnoreValidation(boolean value)

      Sets the value of the '`Ignore Validation`' attribute.
      Parameters:
        `value` - the new value of the 'Ignore Validation' attribute.
      See Also:
        `isIgnoreValidation()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.